%  lead3.m
% Matlab file for Part 3 of the Lead in the Body module

disp('*********************************************')
disp('Part 3:  Ingesting Lead  ')
disp('*********************************************')
disp('  ')    

    format short

    disp('Step 1: ')
    disp('Enter the Rabinowitz values for the model')
    disp('coefficients. ')
    disp(' ')
    disp('The last 3 commands in the set below will give')
    disp('you numerical values for the matrix A, vector')
    disp('b, and vector xe (assuming you have xe defined')
    disp('as a symbolic expression from Part 2). ')
    disp(' ')
    disp('Enter: ')
    disp(' ')
    disp('  a01 = 0.021; ')
    disp('  a02 = 0.016; ')
    disp('  a12 = 0.012; ')
    disp('  a13 = 0.000035; ')
    disp('  a21 = 0.011;')
    disp('  a31 = 0.0039;')
    disp('  L = 49.3;')
    disp(' ')
    disp('  A=subs(A) ')
    disp('  b=subs(b) ')
    disp('  xe=subs(xe) ')
    disp(' ')
    disp('-------------------------------------------')
    disp('Give the interpretion requested in step 1. ')
    disp('Use MATLAB comments in your diary file. ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')
 
    disp('----------------------------------------------')
    disp('Step 2: ')
    disp('The following commands find the eigenvalues ')
    disp('and eigenvectors of the matrix A. ')
    disp(' ')
    disp('Enter: ')
    disp(' ')
    disp('  [V,D]=eig(A); ')
    disp('  lam1=D(1,1), v1=V(:,1) ')
    disp('  lam2=D(2,2), v2=V(:,2) ')
    disp('  lam3=D(3,3), v3=V(:,3) ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')
 
    disp('----------------------------------------------')
    disp('Step 2 (cont.) and 3: ')
    disp('The solution xh of the homogeneous system ')
    disp('    x'' = A*x ')
    disp('is of the form ')
    disp(' ')
    disp(' xh = c(1)*exp(lam1*t)*v1 + c(2)*exp(lam2*t)*v2 ')
    disp('        + c(3)*exp(lam3*t)*v3. ')
    disp(' ')
    disp('The general solution is ')
    disp(' ')
    disp(' x = xh + xe')
    disp(' ')
    disp('Hit any key to continue. ')

    pause
    disp(' ')
 
    disp('----------------------------------------------')
    disp('Step 4: ')
    disp('Given the initial condition x(0)=0, we substitute')
    disp('t=0 and solve for the coefficients c(1), c(2), ')
    disp('and c(3) ')
    disp(' ')
    disp('Note that solving ')
    disp(' ') 
    disp('   c(1)*v1 + c(2)*v2 + c(3)*v3 + xe = 0 ')
    disp(' ') 
    disp('is equivalent to solving the system')
    disp(' ')
    disp('   V*c = -xe,  ')
    disp(' ')
    disp('where V is the matrix of eigenvectors found above')
    disp('and c is the vector [c(1),c(2),c(3)]''  ')
    disp(' ')
    disp('------------------------------------------------')
    disp('Solve for the coefficients c(1), c(2), c(3). ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')
 
    disp('----------------------------------------------')
    disp('Step 5 ')
    disp('Now we can plot the three components of the ')
    disp('solution of our initial values problem.')
    disp(' ')
    disp('Enter: ')
    disp(' ')
    disp(' t=0:5:400;')
    disp(' for i=1:3 ')
    disp('   x(i,:)=c(1)*exp(lam1*t)*v1(i) + ... ')
    disp('          c(2)*exp(lam2*t)*v2(i) + ... ')
    disp('          c(3)*exp(lam3*t)*v3(i) + xe(i) ; ')
    disp(' end ')
    disp(' n=size(x,2); ')
    disp(' x1_400=x(1,n), x2_400=x(2,n), x3_400=x(3,n) ')
    disp(' clf ')
    disp(' plot(t,x(1,:),''r''); grid on; hold on ')
    disp(' plot(t,x(2,:),''k'') ')
    disp(' plot(t,x(3,:),''b'') ')
    disp(' legend(''blood'',''tissue'',''bone '') ')
    disp(' ')
    disp('---------------------------------------------------')
    disp('Interpret the graphs and answer the questions in')
    disp('step 4.  Use MATLAB comments in your diary file.')
    disp(' ')
    disp(' ')
    disp('---------------------------------------')
    disp('To go on to part 4 of this module,')
    disp('type: lead4 ')
    disp(' ')
    